<?php
// $Horde: turba/config/sources.php.dist,v 1.22.2.2 2001/12/03 15:50:41 chuck Exp $

$cfgSources['netcenter'] = array(
    'title' => 'Netcenter Member Directory',
    'type' => 'ldap',
    'params' => array(
        'server' => 'memberdir.netscape.com',
        'port' => 389,
        'root' => 'ou=member_directory,o=netcenter.com',
        'dn' => array('cn'),
        'objectclass' => 'person',
        'filter' => ''
    ),
    'map' => array(
        '__key' => 'dn',
        'name' => 'cn',
        'email' => 'mail',
        'alias' => 'givenname'
    ),
    'search' => array(
        'name',
        'email',
        'alias'
    ),
    'strict' => array(
        'dn'
    ),
    'public' => true,
    'readonly' => true,
    'export' => false
);

$cfgSources['bigfoot'] = array(
    'title' => 'Bigfoot',
    'type' => 'ldap',
    'params' => array(
        'server' => 'ldap.bigfoot.com',
        'port' => 389,
        'root' => ''
    ),
    'map' => array(
        '__key' => 'dn',
        'name' => 'cn',
        'email' => 'mail',
        'alias' => 'givenname'
    ),
    'search' => array(
        'name',
        'email',
        'alias'
    ),
    'public' => true,
    'readonly' => true,
    'export' => false
);

$cfgSources['verisign'] = array(
    'title' => 'Verisign Directory',
    'type' => 'ldap',
    'params' => array(
        'server' => 'directory.verisign.com',
        'port' => 389,
        'root' => '',
    ),
    'map' => array(
        '__key' => 'dn',
        'name' => 'cn',
        'email' => 'mail',
    ),
    'search' => array(
        'name',
        'email'
    ),
    'public' => true,
    'readonly' => true,
    'export' => false
);

$cfgSources['localsql'] = array(
    'title' => 'My Addressbook',
    'type' => 'sql',
    'params' => array(
        'phptype' => 'pgsql',
        'hostspec' => '',
        'username' => '',
        'password' => '',
        'database' => 'horde',
        'options' => '',
        'tty' => '',
        'port' => '5432',
        'protocol' => 'unix',
        'table' => 'turba_objects'
    ),
    'map' => array(
        '__key' => 'object_id',
        '__owner' => 'owner_id',
    	'name' => 'object_name',
    	'email' => 'object_email',
    	'homeAddress' => 'object_homeAddress',
    	'workAddress' => 'object_workAddress',
    	'homePhone' => 'object_homePhone',
    	'workPhone' => 'object_workPhone',
        'cellPhone' => 'object_cellPhone',
    	'fax' => 'object_fax',
    	'title' => 'object_title',
    	'company' => 'object_company',
    	'notes' => 'object_notes'
    ),
    'search' => array(
        'name',
        'email'
    ),
    'strict' => array(
        'object_id'
    ),
    'public' => false,
    'readonly' => false,
    'export' => true
);

?>
